Get Secret Manager Source

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/{resource_type}/{uuid}/secret-manager

The secret manager source of an application, service, or database, and the secret manager tokens of its team that can be linked.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

resource_type*string

Resource type.

Value in"applications" | "services" | "databases"
uuid*string

Resource UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/applications/string/secret-manager"
{  "linked": true,  "integration_token_uuid": "string",  "provider": "doppler",  "settings": {},  "available_tokens": [    {      "uuid": "string",      "name": "string",      "provider": "string"    }  ]}
{  "message": "Unauthenticated."}
Empty
{  "message": "Resource not found."}